@import url('https://fonts.googleapis.com/css2?family=Abril+Fatface&family=Lato:wght@300;400;500;600;700&display=swap');

:root {
  --primary-color: #9f387d;
  --primary-color-dark: #772b5e;
  --text-dark: #0c0a09;
  --text-light: #555555;
  --white: #ffffff;
  --max-width: 100%;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

.section__container {
  max-width: var(--max-width);
  margin: auto;
  padding: 2rem 1rem;
}

.header__container {
    border-bottom: 1px solid #bbbbbb;
}

.section__subheader {
  margin-bottom: 0.5rem;
  position: relative;
  font-weight: 500;
  letter-spacing: 2px;
  color: var(--text-dark);
}

.section__subheader::after {
  position: absolute;
  content: "";
  top: 50%;
  transform: translate(1rem, -50%);
  height: 2px;
  width: 4rem;
  background-color: var(--primary-color);
}

.section__header {
  font-family: "Abril Fatface", serif;
  font-size: 2.5rem;
  font-weight: 400;
  line-height: 3rem;
  color: var(--primary-color);
  text-align: center;
}

.section__header span {
    font-family: "Abril Fatface", serif;
    margin-bottom: 1rem;
    font-size: 1.8rem;
    line-height: 3rem;
    color: var(--text-light);
  }

.section__description {
  max-width: 600px;
  line-height: 1.5rem;
  margin-bottom: 1rem;
  padding-left: 20px;
  color: var(--text-light);
}

.section__description span {
    max-width: 600px;
    line-height: 1.5rem;
    margin-bottom: 1rem;
    color: var(--text-dark);
  }

.about__btn {
  display: flex;
  align-items: center;
  justify-content: center;
  padding-top: 2rem;
  gap: 1rem;
}

.btn {
  padding: 0.75rem 1.5rem;
  outline: none;
  border: none;
  font-size: 1rem;
  font-weight: 500;
  color: var(--white);
  background-color: var(--primary-color);
  border-radius: 5px;
  cursor: pointer;
  transition: 0.3s;
}

.btn:hover {
  background-color: var(--primary-color-dark);
}

img {
  width: 100%;
  display: flex;
}

a {
  text-decoration: none;
}

html,
body {
  scroll-behavior: smooth;
}

body {
  font-family: 'Lato', sans-serif;
}

.header {
  background-color: #fff;
}

.header__container {
  padding-top: 5rem;
}

.header__container h1 {
  font-family: "Abril Fatface", serif;
  font-size: 3.5rem;
  font-weight: 500;
  line-height: 4.5rem;
  color: var(--text-dark);
  text-align: center;
}

.header__container h1 span {
  font-family: "Abril Fatface", serif;
  color: var(--primary-color);
}

/* imagenes */
.gallery{

  height: 100%;
  padding: 1rem;
}

.gallery__images{
  display: flex;

  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: 2rem;
}

.gallery__card{
  width: 360px;
  height: 450px;
  display: block;
  position: relative;
  box-shadow: 2px 3px 4px 1px rgba(0, 0, 0, 0.4);
}

.gallery__card2{
  width: 360px;
  height: 360px;
  display: block;
  position: relative;
  box-shadow: 2px 3px 4px 1px rgba(0, 0, 0, 0.4);
}

.gallery__card img{
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

/* contactos */
.banner__content {
  padding: 1rem;
  display: flex;
  gap: 2rem;
  align-items: center;
  justify-content: space-evenly;
  flex-wrap: wrap;
  border-radius: 10px;
  box-shadow: 5px 5px 20px rgba(0, 0, 0, 0.1);
}

.banner__card {
  text-align: center;
  flex: 1 1 180px;
}

.banner__card h4 {
  font-family: "Abril Fatface", serif;
  font-size: 1.5rem;
  font-weight: 400;
  padding-bottom: .8rem;
  color: var(--text-dark);
}

.banner__card p {
  margin-bottom: 1rem;
  line-height: 1.4rem;
  color: #555555;
}

.banner__card a {
  line-height: 1.4rem;
  color: var(--text-dark);
}

.banner__card a:hover {
  color: var(--primary-color);
}

.explore :is(.section__subheader, .section__header) {
  text-align: center;
  margin-inline: auto;
}

@media (width > 768px) {
  .header__container {
    padding: 1rem;
  }

}

@media (width > 1024px) {
  .room__grid {
    gap: 2rem;
  }
}
